Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
Java Identifier (H5I) Interface

## Detailed Description

See also
  Identifiers (H5I), C-API
  HDF5 Identifiers, User Guide

## Functions
static synchronized native void | H5Iclear_type (int type_id, boolean force) throws HDF5LibraryException
static synchronized native int | H5Idec_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Idec_type_ref (long type_id) throws HDF5LibraryException
static synchronized native void | H5Idestroy_type (int type_id) throws HDF5LibraryException
static synchronized native long | H5Iget_file_id (long obj_id) throws HDF5LibraryException
static synchronized native String | H5Iget_name (long obj_id) throws HDF5LibraryException
static synchronized native long | H5Iget_name_long (long obj_id, String[] name, long size) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iget_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iget_type (long obj_id) throws HDF5LibraryException
static synchronized native int | H5Iget_type_ref (long type_id) throws HDF5LibraryException
static synchronized native int | H5Iinc_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iinc_type_ref (long type_id) throws HDF5LibraryException
static synchronized native boolean | H5Iis_valid (long obj_id) throws HDF5LibraryException
static synchronized native int | H5Inmembers (long type_id) throws HDF5LibraryException
static synchronized native boolean | H5Itype_exists (int type_id) throws HDF5LibraryException

## Function Documentation

## ◆ H5Iclear_type()

static synchronized native void H5Iclear_type | ( | int | type_id,
|  | boolean | force ) throws HDF5LibraryException
| static

H5Iclear_type deletes all identifiers of the type identified by the argument type.

Parameters

  type_id | IN: Identifier of identifier type which is to be cleared of identifiers
  force | IN: Whether or not to force deletion of all identifiers

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Idec_ref()

static synchronized native int H5Idec_ref | ( | long | obj_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Idec_ref decrements the reference count specified by the identifier, obj_id. If the reference count for an ID reaches zero, the object will be closed.

Parameters

  obj_id | IN: Identifier of the object.

Returns
  the reference count.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Idec_type_ref()

static synchronized native int H5Idec_type_ref | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Idec_type_ref decrements the reference count on an identifier type. The reference count is used by the library to indicate when an identifier type can be destroyed. If the reference count reaches zero, this function will destroy it.

Parameters

  type_id | IN: The identifier of the type whose reference count is to be decremented

Returns
  The current reference count on success, negative on failure.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Idestroy_type()

static synchronized native void H5Idestroy_type | ( | int | type_id | ) | throws HDF5LibraryException
| static

H5Idestroy_type deletes an entire identifier type. All identifiers of this type are destroyed and no new identifiers of this type can be registered.

Parameters

  type_id | IN: Identifier of identifier type which is to be destroyed

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_file_id()

static synchronized native long H5Iget_file_id | ( | long | obj_id | ) | throws HDF5LibraryException
| static

H5Iget_file_id obtains the file ID specified by the identifier, obj_id.

Parameters

  obj_id | IN: Identifier of the object.

Returns
  the file ID.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_name()

static synchronized native String H5Iget_name | ( | long | obj_id | ) | throws HDF5LibraryException
| static

H5Iget_name retrieves the name of an object specified by the identifier, obj_id.

Parameters

  obj_id | IN: Identifier of the object.

Returns
  String for Attribute name.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_name_long()

static synchronized native long H5Iget_name_long | ( | long | obj_id,
|  | String[] | name,
|  | long | size ) throws HDF5LibraryException, NullPointerException
| static

H5Iget_name_long retrieves the name of an object specified by the identifier, obj_id.

Deprecated

Parameters

  obj_id | IN: Identifier of the object.
  name | OUT: Attribute name buffer.
  size | IN: Maximum length of the name to retrieve.

Returns
  the length of the name retrieved.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_ref()

static synchronized native int H5Iget_ref | ( | long | obj_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Iget_ref obtains the number of references outstanding specified by the identifier, obj_id.

Parameters

  obj_id | IN: Identifier of the object.

Returns
  the reference count.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_type()

static synchronized native int H5Iget_type | ( | long | obj_id | ) | throws HDF5LibraryException
| static

H5Iget_type retrieves the type of the object identified by obj_id.

Parameters

  obj_id | IN: Object identifier whose type is to be determined.

Returns
  the object type if successful; otherwise H5I_BADID.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iget_type_ref()

static synchronized native int H5Iget_type_ref | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Iget_type_ref retrieves the reference count on an ID type. The reference count is used by the library to indicate when an ID type can be destroyed.

Parameters

  type_id | IN: The identifier of the type whose reference count is to be retrieved

Returns
  The current reference count on success, negative on failure.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iinc_ref()

static synchronized native int H5Iinc_ref | ( | long | obj_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Iinc_ref increments the reference count specified by the identifier, obj_id.

Parameters

  obj_id | IN: Identifier of the object.

Returns
  the reference count.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iinc_type_ref()

static synchronized native int H5Iinc_type_ref | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Iinc_type_ref increments the reference count on an ID type. The reference count is used by the library to indicate when an ID type can be destroyed.

Parameters

  type_id | IN: The identifier of the type whose reference count is to be incremented

Returns
  The current reference count on success, negative on failure.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Iis_valid()

static synchronized native boolean H5Iis_valid | ( | long | obj_id | ) | throws HDF5LibraryException
| static

H5Iis_valid indicates if the identifier type specified in obj_id is valid.

Parameters

  obj_id | IN: Identifier to be checked

Returns
  a boolean, true if the specified identifier id is valid

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Inmembers()

static synchronized native int H5Inmembers | ( | long | type_id | ) | throws HDF5LibraryException
| static

H5Inmembers returns the number of identifiers of the identifier type specified in type.

Parameters

  type_id | IN: Identifier for the identifier type whose member count will be retrieved

Returns
  Number of identifiers of the specified identifier type

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Itype_exists()

static synchronized native boolean H5Itype_exists | ( | int | type_id | ) | throws HDF5LibraryException
| static

H5Itype_exists indicates if the identifier type specified in type exists.

Parameters

  type_id | IN: the identifier type to be checked

Returns
  a boolean, true if the specified identifier type exists

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.